﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">x86</Platform>
    <ProductVersion>8.0.30703</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{DE29DA11-95F4-4512-B8E6-CCDBD4749371}</ProjectGuid>
    <OutputType>Exe</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>MasterDataCompletenessCheckGRTaskRuntime</RootNamespace>
    <AssemblyName>MasterDataCompletenessCheckGRTaskRuntime</AssemblyName>
    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
    <TargetFrameworkProfile>
    </TargetFrameworkProfile>
    <FileAlignment>512</FileAlignment>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
    <PlatformTarget>x86</PlatformTarget>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x86' ">
    <PlatformTarget>x86</PlatformTarget>
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="command-prompt-logging-sink, Version=1.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\binaries\command-prompt-logging-sink.dll</HintPath>
    </Reference>
    <Reference Include="common-command-prompt, Version=1.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\binaries\common-command-prompt.dll</HintPath>
    </Reference>
    <Reference Include="common-credential, Version=1.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\binaries\common-credential.dll</HintPath>
    </Reference>
    <Reference Include="common-database, Version=1.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\binaries\common-database.dll</HintPath>
    </Reference>
    <Reference Include="common-logging, Version=1.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\binaries\common-logging.dll</HintPath>
    </Reference>
    <Reference Include="common-lookup, Version=1.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\binaries\common-lookup.dll</HintPath>
    </Reference>
    <Reference Include="common-security, Version=1.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\binaries\common-security.dll</HintPath>
    </Reference>
    <Reference Include="common-server, Version=1.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\binaries\common-server.dll</HintPath>
    </Reference>
    <Reference Include="common-task, Version=1.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\binaries\common-task.dll</HintPath>
    </Reference>
    <Reference Include="common-util, Version=1.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\binaries\common-util.dll</HintPath>
    </Reference>
    <Reference Include="common-web-service, Version=1.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\binaries\common-web-service.dll</HintPath>
    </Reference>
    <Reference Include="database-petapoco, Version=1.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\binaries\database-petapoco.dll</HintPath>
    </Reference>
    <Reference Include="external-background-task, Version=1.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\binaries\external-background-task.dll</HintPath>
    </Reference>
    <Reference Include="file-logging-sink, Version=1.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\binaries\file-logging-sink.dll</HintPath>
    </Reference>
    <Reference Include="ServiceStack.Text, Version=3.9.14.0, Culture=neutral, PublicKeyToken=1bf8b2f6523e7dbd, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\binaries\ServiceStack.Text.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Runtime.Serialization" />
    <Reference Include="System.ServiceModel" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
    <Reference Include="winform-logging-sink, Version=1.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\binaries\winform-logging-sink.dll</HintPath>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="MasterDataCompletenessCheckGRTaskRuntime.cs" />
    <Compile Include="Models\LPOPPurchaseOrder.cs" />
    <Compile Include="Models\LPOPPurchaseOrderFinish.cs" />
    <Compile Include="Program.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Service References\GatewayService\Reference.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Reference.svcmap</DependentUpon>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <None Include="app.config" />
    <None Include="bin\Debug\CreatePOPostingTaskRuntime.vshost.exe.config" />
    <None Include="bin\Debug\CreatePOPostingTaskRuntime.vshost.exe.manifest" />
    <None Include="bin\Release\CreatePOPostingTaskRuntime.exe.config" />
    <None Include="obj\x86\Debug\build.force" />
    <None Include="obj\x86\Debug\DesignTimeResolveAssemblyReferences.cache" />
    <None Include="obj\x86\Debug\DesignTimeResolveAssemblyReferencesInput.cache" />
    <None Include="obj\x86\Release\DesignTimeResolveAssemblyReferencesInput.cache" />
    <None Include="Service References\GatewayService\icswebservice.wsdl" />
    <None Include="Service References\GatewayService\icswebservice.xsd">
      <SubType>Designer</SubType>
    </None>
  </ItemGroup>
  <ItemGroup>
    <Content Include="background-task-runtime-config.xml">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="bin\Debug\CreatePOPostingTaskRuntime.vshost.exe" />
    <Content Include="bin\Release\command-prompt-logging-sink.dll" />
    <Content Include="bin\Release\common-command-prompt.dll" />
    <Content Include="bin\Release\common-credential.dll" />
    <Content Include="bin\Release\common-database.dll" />
    <Content Include="bin\Release\common-logging.dll" />
    <Content Include="bin\Release\common-lookup.dll" />
    <Content Include="bin\Release\common-security.dll" />
    <Content Include="bin\Release\common-server.dll" />
    <Content Include="bin\Release\common-task.dll" />
    <Content Include="bin\Release\common-util.dll" />
    <Content Include="bin\Release\common-web-service.dll" />
    <Content Include="bin\Release\CreatePOPostingTaskRuntime.exe" />
    <Content Include="bin\Release\CreatePOPostingTaskRuntime.pdb" />
    <Content Include="bin\Release\database-petapoco.dll" />
    <Content Include="bin\Release\external-background-task.dll" />
    <Content Include="bin\Release\file-logging-sink.dll" />
    <Content Include="bin\Release\ServiceStack.Text.dll" />
    <Content Include="bin\Release\winform-logging-sink.dll" />
    <Content Include="lib\command-prompt-logging-sink.dll" />
    <Content Include="lib\common-command-prompt.dll" />
    <Content Include="lib\common-credential.dll" />
    <Content Include="lib\common-database.dll" />
    <Content Include="lib\common-logging.dll" />
    <Content Include="lib\common-lookup.dll" />
    <Content Include="lib\common-security.dll" />
    <Content Include="lib\common-server.dll" />
    <Content Include="lib\common-task.dll" />
    <Content Include="lib\common-util.dll" />
    <Content Include="lib\common-web-service.dll" />
    <Content Include="lib\database-petapoco.dll" />
    <Content Include="lib\external-background-task.dll" />
    <Content Include="lib\file-logging-sink.dll" />
    <Content Include="lib\ServiceStack.Text.dll" />
    <Content Include="lib\winform-logging-sink.dll" />
    <Content Include="obj\x86\Debug\CreatePOPostingTaskRuntime.csproj.FileListAbsolute.txt" />
    <Content Include="obj\x86\Debug\TempPE\Service References.GatewayService.Reference.cs.dll" />
    <Content Include="obj\x86\Release\CreatePOPostingTaskRuntime.csproj.FileListAbsolute.txt" />
    <Content Include="obj\x86\Release\CreatePOPostingTaskRuntime.exe" />
    <Content Include="obj\x86\Release\CreatePOPostingTaskRuntime.pdb" />
    <Content Include="obj\x86\Release\TempPE\Service References.GatewayService.Reference.cs.dll" />
    <None Include="Service References\GatewayService\Reference.svcmap">
      <Generator>WCF Proxy Generator</Generator>
      <LastGenOutput>Reference.cs</LastGenOutput>
    </None>
    <None Include="Service References\GatewayService\configuration.svcinfo" />
    <None Include="Service References\GatewayService\configuration91.svcinfo" />
    <EmbeddedResource Include="SQLFiles\GetCreatePOICS.sql" />
    <EmbeddedResource Include="SQLFiles\InsertLPOPCompletenessCheck.sql" />
  </ItemGroup>
  <ItemGroup>
    <WCFMetadata Include="Service References\" />
  </ItemGroup>
  <ItemGroup>
    <WCFMetadataStorage Include="Service References\GatewayService\" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>